<meta content="text/html;charset=utf-8" http-equiv="Content-Type">
<meta content="utf-8" http-equiv="encoding">

<script type="text/javascript" src="../../code/Autowire.js"></script>
<script type="text/javascript" src="../../code-ext/Bind.js"></script>

<h1>Input Sync</h1>
<div class="InputSyncBind">
    <p>Input: {{message}}</p>
    <input value="{{message}}">
</div>

<script>
class InputSyncBind extends Autowire {
    set message(msg){ this.fill('message', msg) }
    onAttach(message = ''){
        this.message = message;
    }

}
InputSyncBind.use('Autowire.Bind');
// InputSyncBind.autowire(null,true,"This should autobind to message in curly braces.");
InputSyncBind.aw("Great job!");
</script>